Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Invalid SPU2-X: error 998: invalid access to memory location
#1
Testing latest buildbot build (v1.3.1 build 1585)

I get the following error
Code:
[wx] Failed to load shared library 'F:\EmulatorsRoms\PS2\plugins\SPU2-X.dll' (error 998: invalid access to memory location.)
(pxActionEvent) (LoadSinglePluginEvent) The configured SPU2 plugin file is not a valid dynamic library(LoadCorePlugins)


I was using build 1051 before in which the audio plugin still worked...


SPU2-X fails to load with same error on latest build too,
v1.3.1.1588 (2015-12-28 22:05:01)

Code:
PCSX2 1.3.1-20151228174415 - compiled on Dec 28 2015
Savestate version: 0x9a0b0000

Host Machine Init:
   Operating System =  Microsoft Windows XP Professional x64 Edition Service Pack 2 (build 3790)
   Physical RAM     =  4094 MB
   CPU name         =  Intel(R) Pentium(R) D CPU 3.40GHz
   Vendor/Model     =  GenuineIntel (stepping 04)
   CPU speed        =  3.399 ghz (2 logical threads)
   x86PType         =  Standard OEM
   x86Flags         =  bfebfbff 0000e49d
   x86EFlags        =  20100000

x86 Features Detected:
   SSE2.. SSE3

Reserving memory for recompilers...
(thread:MTVU) Calling pthread_create...
(thread:GameDatabaseLoader) Calling pthread_create...

Loading plugins...
   Binding   GS: F:\EmulatorsRoms\PS2\plugins\GSdx32-SSE2.dll
Windows 5.2.3790 (Service Pack 2 2.0)
   Binding  PAD: F:\EmulatorsRoms\PS2\plugins\LilyPad.dll
   Binding SPU2: F:\EmulatorsRoms\PS2\plugins\SPU2-X.dll
[wx] Failed to load shared library 'F:\EmulatorsRoms\PS2\plugins\SPU2-X.dll' (error 998: invalid access to memory location.)
(pxActionEvent) (LoadSinglePluginEvent) The configured SPU2 plugin file is not a valid dynamic library(LoadCorePlugins)

F:\EmulatorsRoms\PS2\plugins\SPU2-X.dll
(GameDB) 9693 games on record (loaded in 490ms)
(thread:GameDatabaseLoader) Scheduling for deletion...
(thread:GameDatabaseLoader) Thread object deleted successfully
(thread:GameDatabaseLoader) Executing default destructor!
User-canceled plugin configuration; Plugins not loaded!
(PC Specs)
CPU: AMD FX-9590 4.7GHz 8-core
CPU Instructions: MMX(+), SSE, SSE2, SSE3, SSSE3, SSE4.1, SSE4.2, SSE4A, x86-64, AMD-V, AES, AVX, XOP, FMA3, FMA4
Motherboard: Asus SABERTOOTH 990FX R2.0
GPU: nVidia GTX 750Ti SC 2GB
GFX Drivers: Nvidia v385.28
OS: Windows 7 Ultimate 64-bit SP1
RAM: 16GB Kingston 1866MHz DDR3

Sponsored links

#2
You're using WinXP. We found out recently that a VS2015 built SPU2-X isn't compatible with XP anymore.
You'll have to use a VS2013 built .dll.
#3
(12-29-2015, 12:55 AM)rama Wrote: You're using WinXP. We found out recently that a VS2015 built SPU2-X isn't compatible with XP anymore.
You'll have to use a VS2013 built .dll.

who gonna build it? I use the Buildbot builds
(PC Specs)
CPU: AMD FX-9590 4.7GHz 8-core
CPU Instructions: MMX(+), SSE, SSE2, SSE3, SSSE3, SSE4.1, SSE4.2, SSE4A, x86-64, AMD-V, AES, AVX, XOP, FMA3, FMA4
Motherboard: Asus SABERTOOTH 990FX R2.0
GPU: nVidia GTX 750Ti SC 2GB
GFX Drivers: Nvidia v385.28
OS: Windows 7 Ultimate 64-bit SP1
RAM: 16GB Kingston 1866MHz DDR3
#4
(12-29-2015, 01:38 AM)Melchior Wrote: who gonna build it? I use the Buildbot builds

Just get the plugin file from the last VS2013 build and use that.

Code:
v1.3.1-1415-g9bb990e     Jonathan Li     2015-11-08 21:40:08     Download     Revert "gsdx|spu2-x: Use atlcomcli.h for CComPtr definition" This reverts commit 0eb771c2a672d0880246aaf6f2ca7c499eb345b4. The buildbot apparently cannot find atlcomcli.h. Oh joy.

^This one.
Intel Core i5-4670K @ 3.40GHz | 16GB (2x8GB) DDR3-1866 G.SKILL Sniper Series
AMD Radeon R9 280 @ 3 GB | 120GB SSD | Windows 7 Ultimate x64 (SP1)
#5
(12-29-2015, 02:06 AM)Ryudo Wrote: Just get the plugin file from the last VS2013 build and use that.

Code:
v1.3.1-1415-g9bb990e     Jonathan Li     2015-11-08 21:40:08     Download     Revert "gsdx|spu2-x: Use atlcomcli.h for CComPtr definition" This reverts commit 0eb771c2a672d0880246aaf6f2ca7c499eb345b4. The buildbot apparently cannot find atlcomcli.h. Oh joy.

^This one.

thanks Ryudo =)
that build fixed that error...


but when using the escape key with ROM loaded I get a crash
If I use the all of the plugins and exe from the 1415 build I don't get a crash.
(PC Specs)
CPU: AMD FX-9590 4.7GHz 8-core
CPU Instructions: MMX(+), SSE, SSE2, SSE3, SSSE3, SSE4.1, SSE4.2, SSE4A, x86-64, AMD-V, AES, AVX, XOP, FMA3, FMA4
Motherboard: Asus SABERTOOTH 990FX R2.0
GPU: nVidia GTX 750Ti SC 2GB
GFX Drivers: Nvidia v385.28
OS: Windows 7 Ultimate 64-bit SP1
RAM: 16GB Kingston 1866MHz DDR3
#6
Maybe it's time to switch to a newer os(you can't even use the full potential of your gpu).
Sooner or later all emulators/pc games will start requiring something that is not possible to have on WinXP
#7
@Melchior
Do you plan to upgrade to a new OS, soon ? If not, why?
#8
(12-29-2015, 08:34 AM)vsub Wrote: Maybe it's time to switch to a newer os(you can't even use the full potential of your gpu).
Sooner or later all emulators/pc games will start requiring something that is not possible to have on WinXP
I know....

Quote:Gregory

Do you plan to upgrade to a new OS, soon ? If not, why?
my Desktop PC might be able to run Windows 7..... my laptop uses Windows 7 Ultimate.
its just a headache to upgrade my PC to Windows 7 from XP do to all the labor I put into configuring it
(PC Specs)
CPU: AMD FX-9590 4.7GHz 8-core
CPU Instructions: MMX(+), SSE, SSE2, SSE3, SSSE3, SSE4.1, SSE4.2, SSE4A, x86-64, AMD-V, AES, AVX, XOP, FMA3, FMA4
Motherboard: Asus SABERTOOTH 990FX R2.0
GPU: nVidia GTX 750Ti SC 2GB
GFX Drivers: Nvidia v385.28
OS: Windows 7 Ultimate 64-bit SP1
RAM: 16GB Kingston 1866MHz DDR3
#9
Well, it's time now Smile
By the way, in my virtual machine XP, it doesn't crash when pressing escape. It seems to work fine.
#10
Hi,

I just installed PCSX2 1.4.0 but I can't go further when the configuration window ask me to find the PSU2 plugin : This specific area remains blank.

So I can't enjoy the lastest release of PCSX2.  Huh

Yes, i'm running Windows XP 32 bits.  Blink

I copy the sp2-x.dll plugin from the latest 1.3.1 builds in the plugin folder, but it changes nothing.  Wacko

Is there a solution ?

Thanks for your answer.

E-Gwen.




Users browsing this thread: 1 Guest(s)